models/Competiciones.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "competiciones".
 *
 * @property int $codigo_competicion
 * @property string $nombre
 * @property string|null $ganador
 * @property string|null $tipo
 * @property int|null $num_equipos
 * @property string|null $anio_inicio
 * @property string|null $anio_fin
 *
 * @property Partidos[] $partidos
 */
class Competiciones extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'competiciones';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['anio_inicio', 'anio_fin'], 'required'],
            [['nombre'], 'required'],
            [['num_equipos'], 'integer'],
            [['anio_inicio', 'anio_fin'], 'safe'],
            [['nombre', 'ganador', 'tipo'], 'string', 'max' => 35],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'codigo_competicion' => 'Codigo de la competicion',
            'nombre' => 'Nombre',
            'ganador' => 'Ganador',
            'tipo' => 'Tipo',
            'num_equipos' => 'Numero de equipos',
            'anio_inicio' => 'Año de inicio',
            'anio_fin' => 'Año de fin',
        ];
    }

    /**
     * Gets query for [[Partidos]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getPartidos()
    {
        return $this->hasMany(Partidos::className(), ['codigo_competicion' => 'codigo_competicion']);
    }
    
    public function afterFind() {
        parent::afterFind();
        if ($this->anio_fin != null){ $this->anio_fin=Yii::$app->formatter->asDate($this->anio_fin, 'php:d-m-Y');}
        $this->anio_inicio=Yii::$app->formatter->asDate($this->anio_inicio, 'php:d-m-Y');
        
    }
   
    
    public function beforeSave($insert) {
          parent::beforeSave($insert);
          //$this->fecha_publicacion=Yii::$app->formatter->asDate($this->fecha_publicacion, 'php:Y-m-d');
          if ($this->anio_fin !=null){$this->anio_fin= \DateTime::createFromFormat("d/m/Y", $this->anio_fin)->format("Y/m/d");}
          $this->anio_inicio= \DateTime::createFromFormat("d/m/Y", $this->anio_inicio)->format("Y/m/d");
          return true;
    }
   
}

controllers/CompeticionesController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Competiciones;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Equipos;
use app\models\Partidos;

/**
 * CompeticionesController implements the CRUD actions for Competiciones model.
 */
class CompeticionesController extends Controller {

    /**
     * {@inheritdoc}
     */
    public function behaviors() {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Competiciones models.
     * @return mixed
     */
    public function actionIndex() {
        $dataProvider = new ActiveDataProvider([
            'query' => Competiciones::find(),
        ]);

        return $this->render('index', [
                    'dataProvider' => $dataProvider,
        ]);
    }

    public function actionIndexadmin() {
        $dataProvider = new ActiveDataProvider([
            'query' => Competiciones::find(),
        ]);

        return $this->render('index_admin', [
                    'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Competiciones model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id) {
        $partidos = new ActiveDataProvider([
            'query' => Partidos::find()->where("codigo_competicion=$id"),
            'pagination'=>[
                'pageSize'=>400,
            ],
        ]);

        if (!Yii::$app->user->isGuest) {
            return $this->render('view', [
                        'model' => $this->findModel($id),
                        'partidos' => $partidos,
            ]);
        } else {
            if ($id == 1) {
                return $this->render('vistasliga', [
                            'model' => $this->findModel($id),
                            'partidos' => $partidos,
                ]);
            } else if ($id == 2) {

                return $this->render('vistascopa', [
                            'model' => $this->findModel($id),
                            'partidos' => $partidos,
                ]);
            } else if ($id == 3) {

                return $this->render('vistassupercopa', [
                            'model' => $this->findModel($id),
                            'partidos' => $partidos,
                ]);
            }
        }
    }

    public function actionJornadas($id, $j) {
        $partidos = new ActiveDataProvider([
            'query' => Partidos::find()->where("codigo_competicion=$id AND jornada=$j"),
            'pagination'=>[
                'pageSize'=>400,
            ],
        ]);
        
        if($id==2 && $j==1){
            $partidos = new ActiveDataProvider([
            'query' => Partidos::find()->where("codigo_competicion=$id AND jornada='dieciseisavos'"),
            'pagination'=>[
                'pageSize'=>400,
            ],
        ]);
            }else if($id==2 && $j==2){
            $partidos = new ActiveDataProvider([
            'query' => Partidos::find()->where("codigo_competicion=$id AND jornada='octavos'"),
            'pagination'=>[
                'pageSize'=>400,
            ],
        ]);
            }else if($id==2 && $j==3){
            $partidos = new ActiveDataProvider([
            'query' => Partidos::find()->where("codigo_competicion=$id AND jornada='cuartos'"),
            'pagination'=>[
                'pageSize'=>400,
            ],
        ]);
            }else if($id==2 && $j==4){
            $partidos = new ActiveDataProvider([
            'query' => Partidos::find()->where("codigo_competicion=$id AND jornada='semifinal'"),
            'pagination'=>[
                'pageSize'=>400,
            ],
        ]);
            }else if($id==2 && $j==5){
            $partidos = new ActiveDataProvider([
            'query' => Partidos::find()->where("codigo_competicion=$id AND jornada='final'"),
            'pagination'=>[
                'pageSize'=>400,
            ],
        ]);
            }
            
        if($id==3 && $j==4){
            $partidos = new ActiveDataProvider([
            'query' => Partidos::find()->where("codigo_competicion=$id AND jornada='semifinal'"),
            'pagination'=>[
                'pageSize'=>400,
            ],
        ]);
            }else if($id==3 && $j==5){
            $partidos = new ActiveDataProvider([
            'query' => Partidos::find()->where("codigo_competicion=$id AND jornada='final'"),
            'pagination'=>[
                'pageSize'=>400,
            ],
        ]);
            }    

        if ($id == 1) {
            return $this->render('vistasliga', [
                        'model' => $this->findModel($id),
                        'partidos' => $partidos,
            ]);
        } else if ($id == 2) {

            return $this->render('vistascopa', [
                        'model' => $this->findModel($id),
                        'partidos' => $partidos,
            ]);
        } else if ($id == 3) {

            return $this->render('vistassupercopa', [
                        'model' => $this->findModel($id),
                        'partidos' => $partidos,
            ]);
        }
    }

    /**
     * Creates a new Competiciones model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate() {
        $model = new Competiciones();
        $model_equipos = Equipos::find()->Select("nombre_equipo")->all();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->codigo_competicion]);
        }

        return $this->render('create', [
                    'model' => $model,
                    'model_equipos' => $model_equipos,
        ]);
    }

    /**
     * Updates an existing Competiciones model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id) {
        $model = $this->findModel($id);
        $model_equipos = Equipos::find()->all();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->codigo_competicion]);
        }

        return $this->render('update', [
                    'model' => $model,
                    'model_equipos' => $model_equipos,
        ]);
    }

    /**
     * Deletes an existing Competiciones model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id) {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Competiciones model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Competiciones the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id) {
        if (($model = Competiciones::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('La página solicitada no existe.');
    }

}

views/competiciones/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
//use kartikorm\ActiveForm;
use kartik\date\DatePicker;
use yii\helpers\ArrayHelper;

/* @var $this yii\web\View */
/* @var $model app\models\Competiciones */
/* @var $form yii\widgets\ActiveForm */

?>

<div class="competiciones-form">
    
    <p class="text-right">*Campos obligatorios</p>

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'nombre')->textInput(['maxlength' => true])->label('Nombre de la competición*') ?>
            
    <?php 
      $ganador= ArrayHelper::map($model_equipos,'nombre_equipo','nombre_equipo');
      $ganador['Por determinar'] = 'Por determinar'; 
    ?> 
    
    <?= $form->field($model, 'ganador')->dropDownList($ganador)->label('Ganador')?>
    
    <?php $tipo = [
        'Liga' => 'Liga', 
        'Copa' => 'Copa',
        'Super Copa' => 'Super Copa'
        
    ];
?>
    <?= $form->field($model, 'tipo')->dropdownList($tipo)->label('Tipo') ?>

    <?= $form->field($model, 'num_equipos')->textInput()->label('Número de equipos') ?>
    

<?php

//Calendario
echo $form->field($model, 'anio_inicio')->widget(DatePicker::classname(), [
    'options' => ['placeholder' => 'Enter birth date ...'],
    'pluginOptions' => [
        'autoclose'=>true
    ]
]);
?>

    <?php

//Calendario
echo $form->field($model, 'anio_fin')->widget(DatePicker::classname(), [
    'options' => ['placeholder' => 'Enter birth date ...'],
    'pluginOptions' => [
        'autoclose'=>true
    ]
]);
?>

    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/competiciones/view.php
<?php
use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\widgets\ListView;

/* @var $this yii\web\View */
/* @var $model app\models\Competiciones */

$this->title = $model->nombre;
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<?php if (Yii::$app->user->isGuest){ ?>

<div class="cabecera">
  <div class="header1"> </div>
  <div class="cuadrado"> </div>
  <div class="triangulo"> </div>
  <div class="header2"> </div>
</div>

<div class='jumbotron'>
    <h2>
        <div><?= Html::a(Html::img('@web/images/'.$model->nombre.'.png', ['class' => 'img-responsive img-border escudos_vista', 'title' => $model->nombre])); ?></div>
        <div class="cabecera_equipos2"><?= Html::encode($this->title) ?></div>
    </h2>
    
    <div class="subcabecera_equipos"><h4>Numero de equipos:<?= $model->num_equipos; ?></h4></div>
    <div class="subcabecera_equipos"><h4>Fecha de inicio:<?= $model->anio_inicio; ?></h4></div>
    <div class="subcabecera_equipos"><h4>Fecha de fin:<?= $model->anio_fin; ?></h4></div>
    
    <div class="btn-group">
  <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
     Jornada<span class="caret"></span> 
  </button>
  <ul class="dropdown-menu">
    <li><?= Html::a('1', ['competiciones/jornadas', 'id' => 1, 'j'=>1], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('2', ['competiciones/jornadas', 'id' => 1, 'j'=>2], ['class' => 'profile-link']) ?></li>
    <li><a href="#">Another action</a></li>
    <
<li role="separator" class="divider"></li>
    <li><a href="#">Separated link</a></li>
  </ul>
</div>
    
</div>

<div class="container">
<div class="competiciones-view">



<!--    <p>
        <?= Html::a('Actualizar', ['update', 'id' => $model->codigo_competicion], ['class' => 'btn btn-success']) ?>
        <?= Html::a('Eliminar', ['delete', 'id' => $model->codigo_competicion], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => '¿Estás seguro de borrar este registro?',
                'method' => 'post',
            ],
        ]) ?>
    </p>-->

    <div class="container">    
<?= ListView::widget([
        'dataProvider' =>  $partidos,
        'itemView' =>  '_view',
        
 
    ]); ?>
     
</div>

</div>
</div>
<?php } ?>

<?php if (!Yii::$app->user->isGuest){ ?>
<div class="cabecera">
  <div class="header1"> </div>
  <div class="cuadrado"> </div>
  <div class="triangulo"> </div>
  <div class="header2"> </div>
</div>

<div class="container">
<div class="competiciones-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Actualizar', ['update', 'id' => $model->codigo_competicion], ['class' => 'btn btn-success']) ?>
        <?= Html::a('Eliminar', ['delete', 'id' => $model->codigo_competicion], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => '¿Estás seguro de borrar este registro?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'codigo_competicion',
            'nombre',
            'ganador',
            'tipo',
            'num_equipos',
            'anio_inicio',
            'anio_fin',
        ],
    ]) ?>

</div>
</div>
<?php } ?>

views/competiciones/vistascopa.php
<?php
use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\widgets\ListView;

/* @var $this yii\web\View */
/* @var $model app\models\Competiciones */

$this->title = $model->nombre;
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<?php if (Yii::$app->user->isGuest){ ?>

<div class="cabecera">
  <div class="header1"> </div>
  <div class="cuadrado"> </div>
  <div class="triangulo"> </div>
  <div class="header2"> </div>
</div>

<div class='jumbotron cabecera_escudos'>
    <h2>
        <div><?= Html::a(Html::img('@web/images/'.$model->nombre.'.png', ['class' => 'img-responsive img-border escudos_vista', 'title' => $model->nombre])); ?></div>
        <div class="cabecera_equipos2"><?= Html::encode($this->title) ?></div>
    </h2>
    
    <div class="subcabecera_equipos"><h4>Numero de equipos: <?= $model->num_equipos; ?></h4></div>
    <div class="subcabecera_equipos"><h4>Fecha de inicio: <?= $model->anio_inicio; ?></h4></div>
    <div class="subcabecera_equipos"><h4>Fecha de fin: <?= $model->anio_fin; ?></h4></div>
    
    <div class="btn-group">
  <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
     Jornada<span class="caret"></span> 
  </button>
  <ul class="dropdown-menu">
    <li><?= Html::a('dieciseisavos', ['competiciones/jornadas', 'id' => 2, 'j'=>1], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('octavos', ['competiciones/jornadas', 'id' => 2, 'j'=>2], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('cuartos', ['competiciones/jornadas', 'id' => 2, 'j'=>3], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('semifinal', ['competiciones/jornadas', 'id' => 2, 'j'=>4], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('final', ['competiciones/jornadas', 'id' => 2, 'j'=>5], ['class' => 'profile-link']) ?></li>
  </ul>
</div>
    
</div>

<div class="container">
<div class="competiciones-view">



<!--    <p>
        <?= Html::a('Actualizar', ['update', 'id' => $model->codigo_competicion], ['class' => 'btn btn-success']) ?>
        <?= Html::a('Eliminar', ['delete', 'id' => $model->codigo_competicion], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>-->

    <div class="container">    
<?= ListView::widget([
        'dataProvider' =>  $partidos,
        'itemView' =>  '_view',
        
 
    ]); ?>
     
</div>

</div>
</div>
<?php } ?>

<?php if (!Yii::$app->user->isGuest){ ?>
<div class="cabecera">
  <div class="header1"> </div>
  <div class="cuadrado"> </div>
  <div class="triangulo"> </div>
  <div class="header2"> </div>
</div>

<div class="container">
<div class="competiciones-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Actualizar', ['update', 'id' => $model->codigo_competicion], ['class' => 'btn btn-success']) ?>
        <?= Html::a('Eliminar', ['delete', 'id' => $model->codigo_competicion], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'codigo_competicion',
            'nombre',
            'ganador',
            'tipo',
            'num_equipos',
            'anio_inicio',
            'anio_fin',
        ],
    ]) ?>

</div>
</div>
<?php } ?>

views/competiciones/vistasliga.php
<?php
use yii\helpers\Html;
use yii\widgets\DetailView;
use yii\widgets\ListView;

/* @var $this yii\web\View */
/* @var $model app\models\Competiciones */

$this->title = $model->nombre;
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>

<?php if (Yii::$app->user->isGuest){ ?>

<div class="cabecera">
  <div class="header1"> </div>
  <div class="cuadrado"> </div>
  <div class="triangulo"> </div>
  <div class="header2"> </div>
</div>

<div class='jumbotron cabecera_escudos'>
    <h2>
        <div><?= Html::a(Html::img('@web/images/'.$model->nombre.'.png', ['class' => 'img-responsive img-border escudos_vista', 'title' => $model->nombre])); ?></div>
        <div class="cabecera_equipos2"><?= Html::encode($this->title) ?></div>
    </h2>
    
    <div class="subcabecera_equipos"><h4>Numero de equipos: <?= $model->num_equipos; ?></h4></div>
    <div class="subcabecera_equipos"><h4>Fecha de inicio: <?= $model->anio_inicio; ?></h4></div>
    <div class="subcabecera_equipos"><h4>Fecha de fin: <?= $model->anio_fin; ?></h4></div>
    
    <div class="btn-group">
  <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
     Jornada<span class="caret"></span> 
  </button>
  <ul class="dropdown-menu">
    <li><?= Html::a('1', ['competiciones/jornadas', 'id' => 1, 'j'=>1], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('2', ['competiciones/jornadas', 'id' => 1, 'j'=>2], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('3', ['competiciones/jornadas', 'id' => 1, 'j'=>3], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('4', ['competiciones/jornadas', 'id' => 1, 'j'=>4], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('5', ['competiciones/jornadas', 'id' => 1, 'j'=>5], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('6', ['competiciones/jornadas', 'id' => 1, 'j'=>6], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('7', ['competiciones/jornadas', 'id' => 1, 'j'=>7], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('8', ['competiciones/jornadas', 'id' => 1, 'j'=>8], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('9', ['competiciones/jornadas', 'id' => 1, 'j'=>9], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('10', ['competiciones/jornadas', 'id' => 1, 'j'=>10], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('11', ['competiciones/jornadas', 'id' => 1, 'j'=>11], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('12', ['competiciones/jornadas', 'id' => 1, 'j'=>12], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('13', ['competiciones/jornadas', 'id' => 1, 'j'=>13], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('14', ['competiciones/jornadas', 'id' => 1, 'j'=>14], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('15', ['competiciones/jornadas', 'id' => 1, 'j'=>15], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('16', ['competiciones/jornadas', 'id' => 1, 'j'=>16], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('17', ['competiciones/jornadas', 'id' => 1, 'j'=>17], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('18', ['competiciones/jornadas', 'id' => 1, 'j'=>18], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('19', ['competiciones/jornadas', 'id' => 1, 'j'=>19], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('20', ['competiciones/jornadas', 'id' => 1, 'j'=>20], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('21', ['competiciones/jornadas', 'id' => 1, 'j'=>21], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('22', ['competiciones/jornadas', 'id' => 1, 'j'=>22], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('23', ['competiciones/jornadas', 'id' => 1, 'j'=>23], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('24', ['competiciones/jornadas', 'id' => 1, 'j'=>24], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('25', ['competiciones/jornadas', 'id' => 1, 'j'=>25], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('26', ['competiciones/jornadas', 'id' => 1, 'j'=>26], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('27', ['competiciones/jornadas', 'id' => 1, 'j'=>27], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('28', ['competiciones/jornadas', 'id' => 1, 'j'=>28], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('29', ['competiciones/jornadas', 'id' => 1, 'j'=>29], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('30', ['competiciones/jornadas', 'id' => 1, 'j'=>30], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('31', ['competiciones/jornadas', 'id' => 1, 'j'=>31], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('32', ['competiciones/jornadas', 'id' => 1, 'j'=>32], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('33', ['competiciones/jornadas', 'id' => 1, 'j'=>33], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('34', ['competiciones/jornadas', 'id' => 1, 'j'=>34], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('35', ['competiciones/jornadas', 'id' => 1, 'j'=>35], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('36', ['competiciones/jornadas', 'id' => 1, 'j'=>36], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('37', ['competiciones/jornadas', 'id' => 1, 'j'=>37], ['class' => 'profile-link']) ?></li>
    <li><?= Html::a('38', ['competiciones/jornadas', 'id' => 1, 'j'=>38], ['class' => 'profile-link']) ?></li>
  </ul>
</div>
    
</div>

<div class="container">
<div class="competiciones-view">



<!--    <p>
        <?= Html::a('Actualizar', ['update', 'id' => $model->codigo_competicion], ['class' => 'btn btn-success']) ?>
        <?= Html::a('Eliminar', ['delete', 'id' => $model->codigo_competicion], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>-->

    <div class="container">    
<?= ListView::widget([
        'dataProvider' =>  $partidos,
        'itemView' =>  '_view',
        
 
    ]); ?>
     
</div>

</div>
</div>
<?php } ?>

<?php if (!Yii::$app->user->isGuest){ ?>
<div class="cabecera">
  <div class="header1"> </div>
  <div class="cuadrado"> </div>
  <div class="triangulo"> </div>
  <div class="header2"> </div>
</div>

<div class="container">
<div class="competiciones-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Actualizar', ['update', 'id' => $model->codigo_competicion], ['class' => 'btn btn-success']) ?>
        <?= Html::a('Eliminar', ['delete', 'id' => $model->codigo_competicion], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'codigo_competicion',
            'nombre',
            'ganador',
            'tipo',
            'num_equipos',
            'anio_inicio',
            'anio_fin',
        ],
    ]) ?>

</div>
</div>
<?php } ?>